import os
from zipfile import ZipFile, ZipInfo, ZIP_DEFLATED

def main():
    from optparse import OptionParser
    parser = OptionParser()
    options, args = parser.parse_args()
    if len(args) != 3:
        parser.error("Usage: <zip> <file> <path-in-zip>")
    zip = args[0]
    file_path = args[1]
    zip_path = args[2]
    
    zip = ZipFile(zip, 'a')
    zip.write(file_path, zip_path, ZIP_DEFLATED)
    zip.close()

if __name__ == '__main__':
    main()